org.apache.ignite.internal.jdbc

## Class JdbcConnectionInfo

- java.lang.Object
- - org.apache.ignite.internal.jdbc.JdbcConnectionInfo

    public class JdbcConnectionInfo
    extends Object

Connection properties.

### Method Summary

Methods
`String` `cacheName()`
`void` `cacheName(String cacheName)`
`String` `hostname()`
`void` `hostname(String hostname)`
`int` `port()`
`void` `port(int port)`
`String` `url()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### url

    public String url()

Returns:
  URL.

#### hostname

    public String hostname()

Returns:
  Hostname.

#### hostname

    public void hostname(String hostname)

Parameters:
  `hostname` - Hostname.

#### port

    public int port()

Returns:
  Port number.

#### port

    public void port(int port)

Parameters:
  `port` - Port number.

#### cacheName

    public String cacheName()

Returns:
  Cache name.

#### cacheName

    public void cacheName(String cacheName)

Parameters:
  `cacheName` - Cache name.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015